Subject: bug#12370: 24.2.50; Unconditionally inhibit startup echo area message

From: Christopher Schmidt <[email-masked]>
Date: Thu, 6 Sep 2012 14:24:01 +0100 (BST)

severity: wishlist

inhibit-startup-echo-area-message is a weird variable.

    inhibit-startup-echo-area-message is a variable defined in
    `startup.el'.

    Documentation: Non-nil inhibits the initial startup echo area
    message.  Setting this variable takes effect only if you do it with
    the customization buffer or if your `.emacs' file contains a line of
    this form: (setq inhibit-startup-echo-area-message "YOUR-USER-NAME")
    [...]
    Thus, someone else using a copy of your `.emacs' file will see the
    startup message unless he personally acts to inhibit it.

IMO there should be another possible value option for
inhibit-startup-echo-area-message - a non-nil, non-string value
unconditionally inhibits the startup echo are message.

Is this a reasonable request?  If so, I'd love to prepare a patch.

        Christopher